// my.cpp : Defines the entry point for the console application.
//
#include "MyStream.h"
#include "math.h"
using namespace std;

int main()
{  
  myofs.open("mydata.dat");
  myofs << setiosflags(ios::fixed) << setiosflags(ios::right) << setw(10);
  {
    myofs << 123.456 << " ";
    myofs << 1 << " ";
    myofs << -78.03 << " ";
    myofs << 3 << " ";
    myofs << 18.76 << " ";
    myofs << 2 << " ";
    myofs << 73.37 << " ";
    myofs << 4 << " ";
    myofs << 1.456 << endl;
    myofs << "    12345670 " << endl;
  }
  myofs.close();

  myofs.open("protocol.txt");
  myofs << setiosflags(ios::fixed) << setiosflags(ios::right) << setw(10);
  myifs.open("mydata.dat");
  {
    myofs << "Team 123,   . 18  2008 ." << endl; 
    myofs << "  1-04.     " << endl << endl; 
    double x1, x2, x3, x4, x5;
    int f1, f2, f3, f4;
    myifs >> x1 >> f1 >> x2 >> f2 >> x3 >> f3 >> x4 >> f4 >> x5;
    myofs << " 1.   mydata.dat" << endl;
    myofs << " 2.   mydata.dat:" << endl;
    myofs << "  x1=" << x1 << "  f1=" << f1; 
    myofs << "  x2=" << x2 << "  f2=" << f2; 
    myofs << "  x3=" << x3 << "  f3=" << f3; 
    myofs << "  x4=" << x4 << "  f4=" << f4; 
    myofs << "  x5=" << x5 << endl << endl;
    myofs << " 3.   :" << endl;
    double x=x1;
    if(f1==1) x += x2;
    else if(f1==2) x *= x2;
    else if(f1==3) x /= x2;
    else if(f1==4) x = pow(x,x2);
    myofs << " : " << x << endl;
    switch(f2){
      case 1: x += x3; /*     */ break;
      case 2: x *= x3; break;
      case 3: x /= x3; break;
      case 4: x = pow(x,x3); break;
      default: myofs << "  , f2= " << f2 << endl;
    }
    myofs << " : " << x << endl;
    switch(f3){
      case 1: x += x4; break;
      case 2: x *= x4; break;
      case 3: x /= x4; break;
      case 4: x = pow(x,x4); break;
      default: myofs << "  , f3= " << f3 << endl;
    }
    myofs << " : " << x << endl;
    if(f4==1) x += x5;
    else if(f4==2) x *= x5;
    else if(f4==3) x /= x5;
    else if(f4==4) x = pow(x,x5);
    myofs << " : " << x << endl << endl;
  }
  {
    char buf[256], buf1[256];
    myofs << " 4a.  :   " << endl << endl;
    int n=0;
    myifs >> buf;
    myofs << buf << endl << endl;
    myofs << " 4b.  :    " << endl<< endl;
    strcpy(buf, "");
    while(myifs >> buf1){
      if(strlen(buf1)<1) break; 
      strcat(buf, buf1);
      strcat(buf, " ");
      n++;
      if(n>=10)break;
    }
    myofs << buf << endl << endl;
  }
  myifs.close();
  myofs.close();
  return 0;
}

